Skip to main content
GET
/
integrations
/
gitlab
/
container-registry
/
project
/
{projectId}
/
images
/
{repositoryId}
/
tags
List Docker image tags from GitLab Container Registry
curl --request GET \
  --url https://api-eu.cybedefend.com/integrations/gitlab/container-registry/project/{projectId}/images/{repositoryId}/tags \
  --header 'x-api-key: <api-key>'

Authorizations

x-api-key
string
header
required

API Key for authentication. You can generate an API key from your personal settings.

Path Parameters

projectId
string<uuid>
required

CybeDefend project ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

repositoryId
number
required

GitLab Container Registry repository ID

Example:

12345678

Query Parameters

credentialId
string
required

GitLab Container Registry credential ID to use for authentication

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

List of tags retrieved successfully